Skip to main content
POST
/
session
/
{session_id}
/
traces
Add traces to a session (deprecated)
curl --request POST \
  --url https://api.honeyhive.ai/session/{session_id}/traces \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "logs": [
    {
      "project": "<string>",
      "project_id": "<string>",
      "source": "<string>",
      "event_name": "<string>",
      "event_id": "<string>",
      "session_id": "<string>",
      "parent_id": "<string>",
      "children_ids": [
        "<string>"
      ],
      "config": {},
      "inputs": {},
      "outputs": {},
      "error": "<string>",
      "start_time": 123,
      "end_time": 123,
      "duration": 123,
      "metadata": {},
      "feedback": {},
      "metrics": {},
      "user_properties": {}
    }
  ],
  "events": [
    {
      "project": "<string>",
      "project_id": "<string>",
      "source": "<string>",
      "event_name": "<string>",
      "event_id": "<string>",
      "session_id": "<string>",
      "parent_id": "<string>",
      "children_ids": [
        "<string>"
      ],
      "config": {},
      "inputs": {},
      "outputs": {},
      "error": "<string>",
      "start_time": 123,
      "end_time": 123,
      "duration": 123,
      "metadata": {},
      "feedback": {},
      "metrics": {},
      "user_properties": {}
    }
  ]
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
string
required

Session ID to add traces to

Body

application/json

Request body for POST /session/{session_id}/traces (deprecated — use POST /v1/sessions/{session_id}/events/batch). Exactly one of logs (deprecated) or events must be present.

logs
object[]
deprecated

Deprecated: use events instead. Traces to add as raw event objects.

events
object[]

Traces to add as raw event objects. Replaces logs.

Response

Traces added successfully

Response from adding traces to a session

success
boolean
required